Subject: bug#36526: 26.2; Open diff at current location (feature request with suggested code)

From: Campbell Barton <[email-masked]>
Date: Fri, 27 Dec 2019 19:18:15 +1100

On Sat, 2019-11-02 at 02:02 +0100, Stefan Kangas wrote:
> Stefan Kangas <[email-masked]> writes:
> 
> > > Would someone be able to check the code and see if it's going in
> > > the
> > > right direction?
> > 
> > OK, but see below.
> > 
> > > > > This is a feature suggestion which I've written example code
> > > > > for
> > > > > 
> > > > > `vc-root-diff` (or a new function), could jump to the closest
> > > > > line.
> > > > > 
> > > > > This is useful since you move to the context of the current
> > > > > line.
> > 
> > I'm not sure I understand what this code is supposed to do or how
> > to
> > use it. Could you please give a recipe for how to test it?
> 
> Hi Campbell,
> 
> Just to follow up on this, could you please provide instructions for
> how to test your patch?
> 
> Thanks in advance.
> 
> Best regards,
> Stefan Kangas

Hi Stefan, my last post didn't get a response so I assumed there wasn't
much interest here.

I've since made this a package, however a reply on reddit suggests I
try to get this into emacs source.

If there is interest, I'm happy to create a patch and other steps
needed to have in added into emacs.  

https://www.reddit.com/r/emacs/comments/efu71g/announce_diffatpoint_now_available_in_melpa/fc4s4im?utm_source=share&utm_medium=web2x